Package: dicompyler / 0.4.2-2

Metadata

Package Version Patches format
dicompyler 0.4.2-2 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
do_not_download_distribute.patch | (download)

distribute_setup.py | 17 9 + 8 - 0 !
1 file changed, 9 insertions(+), 8 deletions(-)

 do not download setuptools
wxpy30.patch | (download)

dicompyler/main.py | 2 1 + 1 - 0 !
dicompyler/wxmpl.py | 2 1 + 1 - 0 !
2 files changed, 2 insertions(+), 2 deletions(-)

 apply wx-migration-tool which was developed by olly betts
 http://anonscm.debian.org/cgit/collab-maint/wx-migration-tools.git


wxpy30 more.patch | (download)

dicompyler/baseplugins/2dview.py | 4 3 + 1 - 0 !
dicompyler/baseplugins/anonymize.py | 4 3 + 1 - 0 !
dicompyler/baseplugins/dvh.py | 4 3 + 1 - 0 !
dicompyler/baseplugins/quickopen.py | 4 3 + 1 - 0 !
dicompyler/baseplugins/treeview.py | 4 3 + 1 - 0 !
dicompyler/dicomgui.py | 4 3 + 1 - 0 !
dicompyler/guiutil.py | 4 3 + 1 - 0 !
dicompyler/main.py | 4 3 + 1 - 0 !
dicompyler/plugin.py | 4 3 + 1 - 0 !
dicompyler/preferences.py | 8 6 + 2 - 0 !
10 files changed, 33 insertions(+), 11 deletions(-)

 further patches not applied by wx-migration-tool from
 http://anonscm.debian.org/cgit/collab-maint/wx-migration-tools.git


enable_pydicom_0.9.8.patch | (download)

setup.py | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 hopefully dicompyler can also cope with the current
 version of python-dicom.  This needs to be clarified with upstream
 but for the moment we need the patch to let it start at all.


allow_pillow_instead_of_pil.patch | (download)

setup.py | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 python-imaging is providing only pillow egg-info
 Since pil egg-info is missing this patch is needed.  See also
   https://lists.debian.org/debian-python/2014/09/msg00070.html


enable_later_versions_of_matplotlib.patch | (download)

dicompyler/dvhcalc.py | 25 19 + 6 - 0 !
setup.py | 2 1 + 1 - 0 !
2 files changed, 20 insertions(+), 7 deletions(-)

 try to port dicompyler to current version of matplotlib
 Patch is oriented at code found here:
   http://sources.debian.net/src/psychopy/1.79.00%2Bgit16-g30c9343.dfsg-1/psychopy/visual/helpers.py/#L41


fix xrc errors.patch | (download)

dicompyler/resources/main.xrc | 3 1 + 2 - 0 !
1 file changed, 1 insertion(+), 2 deletions(-)

 fix xrc errors reported by wxpython 3.0